# Maintainer: Joaquin (Pato) Decima <https://patojad.com.ar/>

pkgname=lynx-menu
pkgver=0.0.6
pkgrel=1
pkgdesc="Lynx Menu - Oficial Menu for LynxOS"
url="https://gitlab.com/LynxOS/Desktop/$pkgname"
depends=(
        'nwjs'
        'lynx-bootstrap'
        'nodejs'
        'npm'
        'gnome-menus'
        'python-dbus'
        'python-gobject'
        'gtk3'
        'pyside2'
        )
license=('GPL')
arch=('x86_64')
md5sums=('7455ccca29c3b182afd0e0b65755fd70')
source=("$url/-/archive/$pkgver/$pkgname-$pkgver.tar.gz")

package() {
    cd $pkgname-$pkgver
    install -dm755 $pkgdir/usr/share/Lynx/$pkgname/
    cp -r $srcdir/$pkgname-$pkgver/* $pkgdir/usr/share/Lynx/$pkgname/
    cd $pkgdir/usr/share/Lynx/$pkgname/ && npm i
    chmod a+x $pkgdir/usr/share/Lynx/$pkgname/$pkgname
    sudo ln -sf /usr/share/Lynx/$pkgname/$pkgname /bin/$pkgname 
}
